﻿@model PagedList.IPagedList<Cdio447.Areas.Admin.Models.douHistoriesView>
@using PagedList.Mvc;
@using Cdio447.Supports;
@{
    ViewBag.Title = "Lịch sử thuê";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
<div class="box-title-section">
    <h1 class="m-0">Danh sách giao dịch cho thuê</h1>
</div>
@using (Html.BeginForm("Index", "DouHistories", FormMethod.Get))
{
<div class="form-row align-items-center">
    <div class="col-12 py-2 col-lg-auto py-lg-0">
        <label class="sr-only" for="inlineFormInput">Name</label>
        @Html.TextBox("searchStringDou", "", new { @class = "form-control", @placeholder = "Nhập tài khoản được thuê" })
    </div>
    <div class="col-12 py-2 col-lg-auto py-lg-0">
        <label class="sr-only" for="inlineFormInput">Name</label>
        @Html.TextBox("searchStringRent", "", new { @class = "form-control", @placeholder = "Nhập tài khoản thuê" })
    </div>
    <div class="col-12 py-2 col-lg-auto py-lg-0">
        <input type="submit" value="Tìm kiếm" class="h-100 btn btn-primary" />
    </div>
</div>
}

<div class="table-box">
    <table class="table">
        <thead>
            <tr>
                <th>
                    Tài khoản được thuê
                </th>
                <th>
                    Tài khoản thuê
                </th>
                <th>
                    Số giờ thuê
                </th>
                <th>
                    Tổng tiền (vnd)
                </th>
                <th>
                    Ngày thực hiện
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Count() == 0)
            {
                <tr>
                    <td colspan="3" style="color:red">
                        Không tìm thấy dữ liệu
                    </td>
                </tr>
            }
            else
            {
                foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.user_name_dou)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.user_name_rent)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.total_time)
                        </td>
                        <td>
                            @FunctionSupport.convertVND(item.total_amount, "-VND")
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.created_at)
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
    <div>@Html.PagedListPager(Model, page => Url.Action("Index", new { page }))</div>
</div>